"use strict";
let packager = require("electron-packager");
let config = require("../package.json");
let buildConfig = config.build;
if (buildConfig === undefined) {
    throw new Error("Missing build section. Please look here for possible settings: https://github.com/electron-userland/electron-packager/blob/master/docs/api.md#options");
}
if (buildConfig['dir'] === undefined) {
    buildConfig['dir'] = ".";
}
if (buildConfig['app-copyright'] === undefined) {
    buildConfig['app-copyright'] = "Copyright © " + new Date().getFullYear() + " " + config['author'];
}
if (buildConfig['build-version'] === undefined) {
    buildConfig['build-version'] = config['version'];
}
if (buildConfig['icon'] === undefined) {
    buildConfig['icon'] = "build-resources/icon";
}
if (buildConfig['ignore'] === undefined) {
    buildConfig['ignore'] = [];
}
buildConfig['ignore'] = buildConfig['ignore'].concat([
    "\\.idea",
    "app-src",
    "build-resources",
    "\\.gitkeep",
    "\\.gitignore",
    "readme.md",
    "tsconfig.json"
]);
if (buildConfig['out'] === undefined) {
    buildConfig['out'] = "build";
}
if (buildConfig['overwrite'] === undefined) {
    buildConfig['overwrite'] = true;
}
if (buildConfig['app-bundle-id'] === undefined) {
    buildConfig['app-bundle-id'] = config['name'];
}
if (buildConfig['app-category-type'] === undefined) {
    buildConfig['app-category-type'] = "public.app-category.developer-tools";
}
if (buildConfig['win32metadata'] === undefined) {
    buildConfig['win32metadata'] = {
        CompanyName: config['author'],
        FileDescription: config['description'],
        OriginalFilename: config['name'],
        ProductName: config['name'],
        InternalName: config['name']
    };
}
packager(buildConfig, (err, appPaths) => {});